<? header("Content-Type: text/html; charset=UTF-8"); ?>
<meta http-equiv=content-type content="text/html; charset=utf8">
<?

/*
** Первое: включаем файл с функцией cngeoip
** Второе: вызываем функцию cngeoip_lookup_ip_cp1251 с ip-адресом в качестве параметра
** Результат возвращается в виде массива из 7 элементов:
**	0: Название города на русском языке;
**	1: Название города на английском языке;
**	2: Двухбуквенный код страны;
**	3: Географическая широта города. Задается в градусах и десятичных долях градуса;
**	4: Географическая долгота города;
**	5: Название страны на русском языке;
**	6: Название страны на английском языке.
**
** В случае, если город не распознан, возвращается массив из пустых строк.
*/

error_reporting(E_ALL);
require_once("cngeoip.php");

$ips = array("80.250.189.2", "211.111.111.1", "193.233.109.11");

for($i=0,$s=sizeof($ips);$i<$s;$i++) {
    $result = cngeoip_lookup_ip($ips[$i]);
    print "<p>Адрес: $ips[$i]:<br>\n";
    print "страна: $result[2](по-русски:$result[5] / по-английски:$result[6]),<br>\n";
    print "регион: по-русски:$result[7] / по-английски:$result[8],<br>\n";
    print "город по-русски: $result[0],<br>\n";
    print "город по-английски: $result[1],<br>\n";
    print "координаты: $result[3], $result[4].</p>";
}

?>
